> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payments

> Returns a list of payments



## OpenAPI

````yaml get /consumers/{consumer_id}/pos/payments
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/pos/payments:
    get:
      tags:
        - Point of Sale
        - Payments
      summary: Get payments
      description: Returns a list of payments
      operationId: pos_get_payments
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: date_from
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date From
          description: Start date (inclusive) of the period to get payments from
        - name: date_to
          in: query
          required: true
          schema:
            type: string
            format: date
            title: Date To
          description: End date (inclusive) of the period to get payments from
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_POSPaymentItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '405':
          content:
            application/json:
              example:
                message: >-
                  The resource {Method} - {Resource} is not supported by
                  {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Method Not Allowed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '502':
          content:
            application/json:
              example:
                message: Error while trying to authenticate to {ConnectorName}
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Gateway
      security:
        - mcp_auth:
            - pos
            - pos.read
            - pos.payments
            - pos.payments.read
components:
  schemas:
    ChiftPage_POSPaymentItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/POSPaymentItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[POSPaymentItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    POSPaymentItem:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
          description: Unique identifier of the payment
          examples:
            - payment-123
        payment_method_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method Id
          description: Unique identifier of the payment method used for the payment
          examples:
            - payment-method-123
        payment_method_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Payment Method Name
          description: Chift's name of the payment method used for the payment
          examples:
            - Cash
        total:
          type: number
          title: Total
          description: Total amount of the payment
          examples:
            - 11
        tip:
          anyOf:
            - type: number
            - type: 'null'
          title: Tip
          description: >-
            Total amount of the tips of the payment. Tips are not part of the
            total of the payment
          default: '0'
          examples:
            - 1
        status:
          anyOf:
            - $ref: '#/components/schemas/POSPaymentStatus'
            - type: 'null'
          description: Status of the payment
          default: Unknown
          examples:
            - Completed
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
          description: Currency of the payment
          examples:
            - EUR
        date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Date
          description: Date of the payment
          examples:
            - '2025-01-01T00:00:00Z'
        invoice_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoice Ref
          description: Reference of the invoice linked to the payment
          examples:
            - invoice-123
      type: object
      required:
        - total
      title: POSPaymentItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    POSPaymentStatus:
      type: string
      enum:
        - Pending
        - Completed
        - Canceled
        - Failed
        - Unknown
        - Authorised
      title: POSPaymentStatus
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````